import { useState, useEffect } from "react";
export var ControlLevel;
(function (ControlLevel) {
    ControlLevel[ControlLevel["NONE"] = 0] = "NONE";
    ControlLevel[ControlLevel["READ_OBS"] = 1] = "READ_OBS";
    ControlLevel[ControlLevel["READ_USER"] = 2] = "READ_USER";
    ControlLevel[ControlLevel["BASIC"] = 3] = "BASIC";
    ControlLevel[ControlLevel["ADVANCED"] = 4] = "ADVANCED";
    ControlLevel[ControlLevel["ALL"] = 5] = "ALL";
    ControlLevel[ControlLevel["READ_ONLY"] = 2] = "READ_ONLY";
})(ControlLevel || (ControlLevel = {}));
export function useOBSControlLevel() {
    const [level, setLevel] = useState(null);
    useEffect(() => {
        const version = getVersion();
        if (!version)
            return;
        if (version[0] > 2 || version[1] > 16) {
            obsstudio.getControlLevel((level) => {
                setLevel(level);
            });
            return;
        }
        obsstudio.getControlLevel((level) => {
            setLevel(level ? ++level : level);
        });
    }, []);
    return level;
}
function getVersion() {
    if (!window.obsstudio)
        return null;
    return window.obsstudio.pluginVersion.split(".").map(parseInt);
}
