import { useState, useEffect } from "react";
export function useOBSCurrentScene() {
    const [scene, setScene] = useState(null);
    useEffect(() => {
        if (!window.obsstudio)
            return;
        obsstudio.getCurrentScene(setScene);
        const sceneChange = (event) => {
            setScene(event.detail);
        };
        window.addEventListener("obsSceneChanged", sceneChange);
        return () => {
            window.removeEventListener("obsSceneChanged", sceneChange);
        };
    }, []);
    return scene;
}
