"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useOBSControlLevel = exports.ControlLevel = void 0;
var react_1 = require("react");
var ControlLevel;
(function (ControlLevel) {
    ControlLevel[ControlLevel["NONE"] = 0] = "NONE";
    ControlLevel[ControlLevel["READ_OBS"] = 1] = "READ_OBS";
    ControlLevel[ControlLevel["READ_USER"] = 2] = "READ_USER";
    ControlLevel[ControlLevel["BASIC"] = 3] = "BASIC";
    ControlLevel[ControlLevel["ADVANCED"] = 4] = "ADVANCED";
    ControlLevel[ControlLevel["ALL"] = 5] = "ALL";
    ControlLevel[ControlLevel["READ_ONLY"] = 2] = "READ_ONLY";
})(ControlLevel = exports.ControlLevel || (exports.ControlLevel = {}));
function useOBSControlLevel() {
    var _a = (0, react_1.useState)(null), level = _a[0], setLevel = _a[1];
    (0, react_1.useEffect)(function () {
        var version = getVersion();
        if (!version)
            return;
        if (version[0] > 2 || version[1] > 16) {
            obsstudio.getControlLevel(function (level) {
                setLevel(level);
            });
            return;
        }
        obsstudio.getControlLevel(function (level) {
            setLevel(level ? ++level : level);
        });
    }, []);
    return level;
}
exports.useOBSControlLevel = useOBSControlLevel;
function getVersion() {
    if (!window.obsstudio)
        return null;
    return window.obsstudio.pluginVersion.split(".").map(parseInt);
}
