"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSourceActive = exports.useSourceVisible = void 0;
var react_1 = require("react");
var isVisible = true;
var isActive = true;
function useSourceVisible() {
    var _a = (0, react_1.useState)(true), visible = _a[0], setVisible = _a[1];
    (0, react_1.useEffect)(function () {
        var update = function () {
            setVisible(isVisible);
        };
        window.addEventListener("obsSourceVisibleChanged", update);
        return function () {
            window.removeEventListener("obsSourceVisibleChanged", update);
        };
    }, []);
    return visible;
}
exports.useSourceVisible = useSourceVisible;
function useSourceActive() {
    var _a = (0, react_1.useState)(true), active = _a[0], setActive = _a[1];
    (0, react_1.useEffect)(function () {
        var update = function () {
            setActive(isActive);
        };
        window.addEventListener("obsSourceVisibleChanged", update);
        window.addEventListener("obsSourceActiveChanged", update);
        return function () {
            window.removeEventListener("obsSourceVisibleChanged", update);
            window.removeEventListener("obsSourceActiveChanged", update);
        };
    }, []);
    return active;
}
exports.useSourceActive = useSourceActive;
window.addEventListener("obsSourceActiveChanged", function (event) {
    isActive = event.detail.active;
});
window.addEventListener("obsSourceVisibleChanged", function (event) {
    isVisible = event.detail.visible;
    isActive = isVisible && isActive;
});
